Index: branch/zhang/Emb_App.tws
===================================================================
--- branch/zhang/Emb_App.tws	(revision 157)
+++ branch/zhang/Emb_App.tws	(revision 158)
@@ -7,9 +7,21 @@
 [GENERAL_DATA]
 [BREAKPOINTS]
 [OPEN_WORKSPACE_FILES]
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\Emb_App\programme_principal_etud.c" 
+"E:\tp_info6_zhan\bsp\periph.c" 
+"E:\tp_info6_zhan\bsp\periph.h" 
+"E:\tp_info6_zhan\Emb_App\conf_noyau.cfg" 
+"E:\tp_info6_zhan\Emb_App\crt0mr.a30" 
+"E:\tp_info6_zhan\Emb_App\Debug\kernel_id.h" 
+"E:\tp_info6_zhan\Emb_App\Debug\mrtable.a30" 
+"E:\tp_info6_zhan\Emb_App\programme_principal_etud.c" 
 [WORKSPACE_FILE_STATES]
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\Emb_App\programme_principal_etud.c" -8 -30 1596 659 1 0 
+"E:\tp_info6_zhan\Emb_App\Debug\kernel_id.h" 75 75 1430 351 0 6 
+"E:\tp_info6_zhan\Emb_App\Debug\mrtable.a30" 50 50 1430 351 0 5 
+"E:\tp_info6_zhan\Emb_App\conf_noyau.cfg" 50 50 1430 351 0 2 
+"E:\tp_info6_zhan\Emb_App\crt0mr.a30" 0 0 1426 347 0 0 
+"E:\tp_info6_zhan\Emb_App\programme_principal_etud.c" -8 -30 1596 539 1 1 
+"E:\tp_info6_zhan\bsp\periph.c" 25 25 1430 351 0 4 
+"E:\tp_info6_zhan\bsp\periph.h" 75 75 1430 351 0 3 
 [LOADED_PROJECTS]
 "EmbM32C87App" 
 [END]
Index: branch/zhang/Emb_App/SessionM32C_E8a_system.ini
===================================================================
--- branch/zhang/Emb_App/SessionM32C_E8a_system.ini	(revision 157)
+++ branch/zhang/Emb_App/SessionM32C_E8a_system.ini	(revision 158)
@@ -25,4 +25,4 @@
 [Target]
 M32C E8a SYSTEM=Renesas Communications
 [USER_DATA]
-RESET=ff0016
+RESET=ff0012
Index: branch/zhang/Emb_App/SessionM32C_E8a_system.hsf
===================================================================
--- branch/zhang/Emb_App/SessionM32C_E8a_system.hsf	(revision 157)
+++ branch/zhang/Emb_App/SessionM32C_E8a_system.hsf	(revision 158)
@@ -149,10 +149,10 @@
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_13" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_14" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_15" "0000000000000512" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_16" "0000000000FF056E" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_16" "0000000000FF056A" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_17" "0000000000FFF800" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_18" "0000000000000928" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_19" "000000000000074A" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_18" "00000000000009DC" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_19" "00000000000007FE" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_2" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_20" "0000000000004004" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_21" "0000000000000000" 
@@ -173,7 +173,7 @@
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_35" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_4" "0000000000000008" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_5" "0000000000000000" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_6" "0000000000000946" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_6" "00000000000009FA" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_7" "0000000000000512" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_8" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_9" "0000000000000000" 
@@ -277,14 +277,14 @@
 0 
 [WINDOW_POSITION_STATE_DATA_VD1]
 "Help" "TOOLBAR 0" 59419 2 4 "0.00" 0 0 0 0 0 17 0 "" "0.0" 
-"{WK_00000001_CmdLine}" "WINDOW" 59422 0 0 "0.14" 365 0 0 350 200 17 0 "32771|32772|32778|<<separator>>|32773|32774|<<separator>>|32820|<<separator>>|32801|32824" "0.0" 
+"{WK_00000001_CmdLine}" "WINDOW" 59422 0 1 "0.09" 365 0 0 350 200 17 0 "32771|32772|32778|<<separator>>|32773|32774|<<separator>>|32820|<<separator>>|32801|32824" "0.0" 
 "{WK_00000001_DISASSEMBLY}" "WINDOW" 0 0 0 "0.00" 0 -4 -30 948 486 9 0 "" "0.0" 
-"{WK_00000001_EVENT}EmbM32C87AppSessionM32C_E8a_system" "WINDOW" 59422 0 0 "0.16" 365 0 0 350 200 18 0 "32774|32775|32777|<<separator>>|32780|<<separator>>" "0.0" 
+"{WK_00000001_EVENT}EmbM32C87AppSessionM32C_E8a_system" "WINDOW" 59422 0 0 "0.11" 365 0 0 350 200 18 0 "32774|32775|32777|<<separator>>|32780|<<separator>>" "0.0" 
 "{WK_00000001_MEMORY}EmbM32C87AppSessionM32C_E8a_system" "WINDOW" 59422 0 1 "0.23" 365 2 -1 350 200 2065 0 "42202|42203|42204|42233|<<separator>>|42206|42205|42230|42229|42207|<<separator>>|42208|42209|42210|49076|42228|42227|<<separator>>|42231|42232|42234|42235|<<separator>>|42211|<<separator>>|32796|32797" "0.0" 
-"{WK_00000001_OUTPUT}" "WINDOW" 59422 0 1 "1.00" 365 0 0 350 200 18 0 "36756|36757|36758|36759|<<separator>>|36746|36747|<<separator>>|39531|<<separator>>|39500|39534|<<separator>>|36687" "0.0" 
-"{WK_00000001_PDMR}EmbM32C87AppSessionM32C_E8a_system" "WINDOW" 59422 0 3 "0.15" 365 0 0 350 200 18 0 "47300|47301|47302|47303|47304|47305|47314|47306|47307|47308|47311|47312|47313|42211|42509|42303" "0.0" 
+"{WK_00000001_OUTPUT}" "WINDOW" 59422 0 2 "0.52" 365 0 0 350 200 18 0 "36756|36757|36758|36759|<<separator>>|36746|36747|<<separator>>|39531|<<separator>>|39500|39534|<<separator>>|36687" "0.0" 
+"{WK_00000001_PDMR}EmbM32C87AppSessionM32C_E8a_system" "WINDOW" 59422 0 3 "0.20" 365 0 0 350 200 18 0 "47300|47301|47302|47303|47304|47305|47314|47306|47307|47308|47311|47312|47313|42211|42509|42303" "0.0" 
 "{WK_00000001_REGISTERS}EmbM32C87AppSessionM32C_E8a_system" "WINDOW" 59421 0 0 "1.00" 236 0 0 350 200 2065 0 "" "0.0" 
-"{WK_00000001_WATCH}EmbM32C87AppSessionM32C_E8a_system" "WINDOW" 59422 0 4 "0.13" 365 0 0 350 200 18 0 "32781|32783|<<separator>>|32771|32772|32773|<<separator>>|32786|<<separator>>|32810|32811" "0.0" 
+"{WK_00000001_WATCH}EmbM32C87AppSessionM32C_E8a_system" "WINDOW" 59422 0 4 "0.17" 365 0 0 350 200 18 0 "32781|32783|<<separator>>|32771|32772|32773|<<separator>>|32786|<<separator>>|32810|32811" "0.0" 
 "{WK_00000002_WORKSPACE}" "WINDOW" 59420 0 0 "1.00" 308 0 0 350 200 18 0 "" "0.0" 
 "{WK_TB00000001_STANDARD}" "TOOLBAR 0" 59419 0 2 "0.00" 0 0 0 0 0 18 0 "" "0.0" 
 "{WK_TB00000002_EDITOR}" "TOOLBAR 0" 59419 0 0 "0.00" 0 0 0 0 0 18 0 "" "0.0" 
@@ -309,7 +309,13 @@
 [WINDOW_POSITION_STATE_DATA_VD3]
 [WINDOW_POSITION_STATE_DATA_VD4]
 [WINDOW_Z_ORDER]
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\Emb_App\programme_principal_etud.c" 
+"E:\tp_info6_zhan\Emb_App\programme_principal_etud.c" 
+"E:\tp_info6_zhan\Emb_App\crt0mr.a30" 
+"E:\tp_info6_zhan\Emb_App\conf_noyau.cfg" 
+"E:\tp_info6_zhan\bsp\periph.h" 
+"E:\tp_info6_zhan\Emb_App\Debug\kernel_id.h" 
+"E:\tp_info6_zhan\Emb_App\Debug\mrtable.a30" 
+"E:\tp_info6_zhan\bsp\periph.c" 
 [TARGET_NAME]
 "M32C E8a SYSTEM" "" 0 
 [STATUSBAR_STATEINFO_VD1]
@@ -356,5 +362,5 @@
 [FLASH_DETAILS]
 "" 0 0 "" 0 "" 0 0 "" 0 0 0 0 0 0 0 "" "" "" "" "" 
 [BREAKPOINTS]
-"d:\profs\tp_info14_travail\tp_info14\emb_app\programme_principal_etud.c" 95 0 1 "{00000000-0000-0000-C000-000000000046}" "" 
+"d:\profs\tp_info14_travail\tp_info14\emb_app\programme_principal_etud.c" 95 91688328 1 "{00000000-0000-0000-C000-000000000046}" "" 
 [END]
Index: branch/zhang/Emb_App/programme_principal_etud.c
===================================================================
--- branch/zhang/Emb_App/programme_principal_etud.c	(revision 157)
+++ branch/zhang/Emb_App/programme_principal_etud.c	(revision 158)
@@ -119,14 +119,15 @@
 //				disponible. 0xab avec a-> nombre de couleurs bien placées et b -> couleurs présentes mais mal placées.
 //'I'/73/Ox49 : Définition du nom du véhicule. Doit débuter par le caractère '#' et entraine le chargement de la configuration de piste
 //				correspondant au nom du véhicule si le nom se termine par '*'
+
+int alpha; //angle
 
-
 void main()
 {
 	ports_mcu();
     lcd_init();
 	periph_init();
-	periph_nom("#AutoTest*");
+	periph_nom("ZHANG");
 
     can_init();
     clavier_init(1);
@@ -133,19 +134,121 @@
 	capture_init();
 
 	sta_cyc(ID_acqui);
-//	sta_tsk(ID_periph_rx);
-
+//	sta_tsk(ID_periph_rx);
+	sta_cyc(ID_asserv);
+//	sta_tsk(ID_control_tourelle);
+//	sta_tsk(ID_angle_T);                       
+//	sta_tsk(ID_vitesse_T);
+//	dly_tsk(2000);
+
+	
+	
+	
     while(1)
     {
 		LED_J=1;
 		dly_tsk(100);
 		LED_J=0;
-		dly_tsk(100);
+		dly_tsk(100);
+		
+//		sta_tsk(ID_acqui);
+//		dly_tsk(100);
     }
-}
+}
+
+void asserv()
+{
+	iwup_tsk(ID_control_tourelle);	
+}
 
+
 void acqui()
 {
 	LED_V=!LED_V;
-}
-
+}
+
+
+void control_tourelle(){
+	// Q5 obtenir l'angle 
+	// et commande la vitesse de tourelle(asservissement)
+	CanFrame requete, reponse, comm; 
+	FLGPTN flag;
+	int a,c;
+	while(1){	
+	slp_tsk();
+	requete.data.id = 'R';			// angle de tourelle
+	requete.data.rtr = 1;			//indique une requête(demende) de lecture
+	snd_dtq(CanTx, requete.msg);    //send demendes
+	
+
+	rcv_dtq(CanRx, &reponse.msg);	//attente  reponse.msg
+	alpha = reponse.data.val;       //le val de angle de tourelle
+	
+	wai_flg (ev_periph,0x01,TWF_ORW,&flag);   //wait le potentiometre 0
+	c = periph[ADDR('R')].val;
+	clr_flg(ev_periph,0x01);		//clear flag
+	
+	
+//	if(alpha > 900 ) a = 0;        // alpha >90° stop move
+	a = c - alpha;			// vitesse = consigne - position
+	comm.data.id = 'T';				// vitesse de tourelle
+	comm.data.rtr = 0;
+	comm.data.val = a;			//val de command est c-p
+	snd_dtq(CanTx, comm.msg);		//send command 
+	}	
+}
+/*
+void control_tourelle(){
+	// Q5 obtenir l'angle 
+	// et commande la vitesse de tourelle(asservissement)
+	CanFrame requete, reponse, comm; 
+	int a;
+	while(1){	
+	requete.data.id = 'R';			// angle de tourelle
+	requete.data.rtr = 1;			//indique une requête(demende) de lecture
+	snd_dtq(CanTx, requete.msg);    //send demendes
+	
+	rcv_dtq(CanRx, &reponse.msg);	//mise a reponse.msg
+	alpha = reponse.data.val;       //recu le val de angle de tourelle
+	
+	
+	if(alpha > 900 ) a = 0;        // alpha >90° stop move
+	else a = 450 - alpha;			// vitesse = consigne - position
+	comm.data.id = 'T';				// vitesse de tourelle
+	comm.data.rtr = 0;
+	comm.data.val = 2*a;			//val de command est c-p
+	snd_dtq(CanTx, comm.msg);		//send command 
+	}	
+}
+*/
+
+/*	Q 1 2 3
+void vitesse_T(){
+	//la vitesse de tourelle par un moteur (T)
+	int a;
+	CanFrame comm;
+	while (1){
+	if(alpha > 900  ) a = 0;
+	a = 450 - alpha;
+	comm.data.id = 'T';
+	comm.data.rtr = 0;
+	comm.data.val = a;
+	snd_dtq(CanTx, comm.msg);
+	}
+}
+
+void angle_T(){
+	//l'angle de tourelle 
+
+	
+	CanFrame requete, reponse;
+	while(1){	
+	requete.data.id = 'R';
+	requete.data.rtr = 1;			//indique une requête de lecture
+	snd_dtq(CanTx, requete.msg);
+	
+	rcv_dtq(CanRx, &reponse.msg);
+	alpha = reponse.data.val;
+	}
+}
+*/
\ No newline at end of file
Index: branch/zhang/Emb_App/conf_noyau.cfg
===================================================================
--- branch/zhang/Emb_App/conf_noyau.cfg	(revision 157)
+++ branch/zhang/Emb_App/conf_noyau.cfg	(revision 158)
@@ -62,6 +62,16 @@
 	exinf	= 0x0;
 };
 
+task[]{
+	entry_address	= control_tourelle();
+	name	= ID_control_tourelle;
+	stack_size	= 256;
+	stack_section	= stack;
+	priority	= 2;
+	initial_start	= OFF;
+	exinf	= 0x0;
+};
+
 flag[]{
 	name	= ev_bus_fin_tr;
 	initial_pattern	= 0x0000;
@@ -71,7 +81,7 @@
 };
 flag[]{
 	name	= ev_periph;
-	initial_pattern	= 0x0000;
+	initial_pattern	= 0x01;
 	wait_queue	= TA_TFIFO;
 	clear_attribute	= NO;
 	wait_multi	= TA_WMUL;
@@ -108,6 +118,15 @@
 	interval_counter	= 0x64;
 	phs_counter	= 0x0;
 };
+cyclic_hand[]{
+	entry_address	= asserv();
+	name	= ID_asserv;
+	exinf	= 0x0;
+	start	= OFF;
+	phsatr	= OFF;
+	interval_counter	= 0x64;
+	phs_counter	= 0x0;
+};
 
 
 vdataqueue[]{
Index: branch/zhang/Emb_App/EmbM32C87App.hwp
===================================================================
--- branch/zhang/Emb_App/EmbM32C87App.hwp	(revision 157)
+++ branch/zhang/Emb_App/EmbM32C87App.hwp	(revision 158)
@@ -3,16 +3,16 @@
 [DATABASE_VERSION]
 "2.8" 
 [PROJECT_DETAILS]
-"EmbM32C87App" "E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\Emb_App" "E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\Emb_App\EmbM32C87App.hwp" "M16C/80,M32C" "Renesas M32C Standard" "Application" "M32C/80" "M32C/87(M32C/87)" 
+"EmbM32C87App" "E:\tp_info6_zhan\Emb_App" "E:\tp_info6_zhan\Emb_App\EmbM32C87App.hwp" "M16C/80,M32C" "Renesas M32C Standard" "Application" "M32C/80" "M32C/87(M32C/87)" 
 [INFORMATION]
 "No project information available" 
 [TOOL_CHAIN]
 "Renesas M32C Standard Toolchain" "5.42.00" 
 [CONFIGURATIONS]
-"Debug" "E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\Emb_App\Debug" 
-"Debug_M32C_FoUSB_UART" "E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\Emb_App\Debug_M32C_FoUSB_UART" 
-"Debug_M32C_Simulator" "E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\Emb_App\Debug_M32C_Simulator" 
-"Release" "E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\Emb_App\Release" 
+"Debug" "E:\tp_info6_zhan\Emb_App\Debug" 
+"Debug_M32C_FoUSB_UART" "E:\tp_info6_zhan\Emb_App\Debug_M32C_FoUSB_UART" 
+"Debug_M32C_Simulator" "E:\tp_info6_zhan\Emb_App\Debug_M32C_Simulator" 
+"Release" "E:\tp_info6_zhan\Emb_App\Release" 
 [BUILD_PHASES]
 "Renesas M32C Assembler" 1 
 "Renesas M32C C Compiler" 1 
@@ -105,29 +105,29 @@
 "Relocatable file" "Renesas M32C Linker" "Renesas M32C Assembler" 
 "Relocatable file" "Renesas M32C Linker" "Renesas M32C C Compiler" 
 [PROJECT_FILES]
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\Emb_App\conf_noyau.cfg" "User" "Configuration file" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\Emb_App\crt0mr.a30" "User" "Assembly source file" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\Emb_App\programme_principal_etud.c" "User" "C source file" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\can.c" "User" "C source file" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\can.h" "User" "C header file" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\carte_io.h" "User" "C header file" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\carte_m32.h" "User" "C header file" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\clavier.c" "User" "C source file" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\clavier.h" "User" "C header file" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\dma0.c" "User" "C source file" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\dma0.h" "User" "C header file" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\lcd.c" "User" "C source file" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\lcd.h" "User" "C header file" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\mli.c" "User" "C source file" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\mli.h" "User" "C header file" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\periph.c" "User" "C source file" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\periph.h" "User" "C header file" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\radiocommande.c" "User" "C source file" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\radiocommande.h" "User" "C header file" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\sfr32c83.h" "User" "C header file" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\sfr32c87.h" "User" "C header file" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\uart0.c" "User" "C source file" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\uart0.h" "User" "C header file" 2 
+"E:\tp_info6_zhan\Emb_App\conf_noyau.cfg" "User" "Configuration file" 2 
+"E:\tp_info6_zhan\Emb_App\crt0mr.a30" "User" "Assembly source file" 2 
+"E:\tp_info6_zhan\Emb_App\programme_principal_etud.c" "User" "C source file" 2 
+"E:\tp_info6_zhan\bsp\can.c" "User" "C source file" 2 
+"E:\tp_info6_zhan\bsp\can.h" "User" "C header file" 2 
+"E:\tp_info6_zhan\bsp\carte_io.h" "User" "C header file" 2 
+"E:\tp_info6_zhan\bsp\carte_m32.h" "User" "C header file" 2 
+"E:\tp_info6_zhan\bsp\clavier.c" "User" "C source file" 2 
+"E:\tp_info6_zhan\bsp\clavier.h" "User" "C header file" 2 
+"E:\tp_info6_zhan\bsp\dma0.c" "User" "C source file" 2 
+"E:\tp_info6_zhan\bsp\dma0.h" "User" "C header file" 2 
+"E:\tp_info6_zhan\bsp\lcd.c" "User" "C source file" 2 
+"E:\tp_info6_zhan\bsp\lcd.h" "User" "C header file" 2 
+"E:\tp_info6_zhan\bsp\mli.c" "User" "C source file" 2 
+"E:\tp_info6_zhan\bsp\mli.h" "User" "C header file" 2 
+"E:\tp_info6_zhan\bsp\periph.c" "User" "C source file" 2 
+"E:\tp_info6_zhan\bsp\periph.h" "User" "C header file" 2 
+"E:\tp_info6_zhan\bsp\radiocommande.c" "User" "C source file" 2 
+"E:\tp_info6_zhan\bsp\radiocommande.h" "User" "C header file" 2 
+"E:\tp_info6_zhan\bsp\sfr32c83.h" "User" "C header file" 2 
+"E:\tp_info6_zhan\bsp\sfr32c87.h" "User" "C header file" 2 
+"E:\tp_info6_zhan\bsp\uart0.c" "User" "C source file" 2 
+"E:\tp_info6_zhan\bsp\uart0.h" "User" "C header file" 2 
 [FOLDER]
 "Assembly source file" "Assembly source file" 
 "C header file" "C header file" 
@@ -138,10 +138,10 @@
 [ON_DEMAND_COMPONENTS_LOADED]
 [SYNC_SESSION_NAMES]
 [SESSIONS]
-"DefaultSession" "E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\Emb_App\DefaultSession.hsf" 0 
-"SessionM32C_E8a_system" "E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\Emb_App\SessionM32C_E8a_system.hsf" 0 
-"SessionM32C_FoUSB_UART" "E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\Emb_App\SessionM32C_FoUSB_UART.hsf" 0 
-"SessionM32C_Simulator" "E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\Emb_App\SessionM32C_Simulator.hsf" 0 
+"DefaultSession" "E:\tp_info6_zhan\Emb_App\DefaultSession.hsf" 0 
+"SessionM32C_E8a_system" "E:\tp_info6_zhan\Emb_App\SessionM32C_E8a_system.hsf" 0 
+"SessionM32C_FoUSB_UART" "E:\tp_info6_zhan\Emb_App\SessionM32C_FoUSB_UART.hsf" 0 
+"SessionM32C_Simulator" "E:\tp_info6_zhan\Emb_App\SessionM32C_Simulator.hsf" 0 
 [GENERAL_DATA_SESSION_DefaultSession]
 [GENERAL_DATA_SESSION_SessionM32C_E8a_system]
 [GENERAL_DATA_SESSION_SessionM32C_FoUSB_UART]
@@ -148,18 +148,18 @@
 [GENERAL_DATA_SESSION_SessionM32C_Simulator]
 [OPTIONS_Debug_Renesas M32C Assembler]
 "Assembly source file" "061cd8963acbbc10" 3 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\Emb_App\crt0mr.a30" "061cd8963acbbc10" 3 
+"E:\tp_info6_zhan\Emb_App\crt0mr.a30" "061cd8963acbbc10" 3 
 [OPTIONS_Debug_Renesas M32C C Compiler]
 "C source file" "0d1c724595684d10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\Emb_App\programme_principal_etud.c" "0d1c724595684d10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\can.c" "0d1c724595684d10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\clavier.c" "0d1c724595684d10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\dma0.c" "0d1c724595684d10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\lcd.c" "0d1c724595684d10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\mli.c" "0d1c724595684d10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\periph.c" "0d1c724595684d10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\radiocommande.c" "0d1c724595684d10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\uart0.c" "0d1c724595684d10" 2 
+"E:\tp_info6_zhan\Emb_App\programme_principal_etud.c" "0d1c724595684d10" 2 
+"E:\tp_info6_zhan\bsp\can.c" "0d1c724595684d10" 2 
+"E:\tp_info6_zhan\bsp\clavier.c" "0d1c724595684d10" 2 
+"E:\tp_info6_zhan\bsp\dma0.c" "0d1c724595684d10" 2 
+"E:\tp_info6_zhan\bsp\lcd.c" "0d1c724595684d10" 2 
+"E:\tp_info6_zhan\bsp\mli.c" "0d1c724595684d10" 2 
+"E:\tp_info6_zhan\bsp\periph.c" "0d1c724595684d10" 2 
+"E:\tp_info6_zhan\bsp\radiocommande.c" "0d1c724595684d10" 2 
+"E:\tp_info6_zhan\bsp\uart0.c" "0d1c724595684d10" 2 
 [OPTIONS_Debug_Renesas M32C Configurator]
 "Single Shot" "061cd8963acbbc10" 1 
 [OPTIONS_Debug_Renesas M32C Librarian]
@@ -187,18 +187,18 @@
 [GENERAL_DATA_CONFIGURATION_Debug]
 [OPTIONS_Debug_M32C_FoUSB_UART_Renesas M32C Assembler]
 "Assembly source file" "061cd8963acbbc10" 3 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\Emb_App\crt0mr.a30" "061cd8963acbbc10" 3 
+"E:\tp_info6_zhan\Emb_App\crt0mr.a30" "061cd8963acbbc10" 3 
 [OPTIONS_Debug_M32C_FoUSB_UART_Renesas M32C C Compiler]
 "C source file" "061cd8963acbbc10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\Emb_App\programme_principal_etud.c" "061041b59a3acc10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\can.c" "032b447e85684d10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\clavier.c" "032b447e85684d10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\dma0.c" "032b447e85684d10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\lcd.c" "032b447e85684d10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\mli.c" "032b447e85684d10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\periph.c" "032b447e85684d10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\radiocommande.c" "032b447e85684d10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\uart0.c" "032b447e85684d10" 2 
+"E:\tp_info6_zhan\Emb_App\programme_principal_etud.c" "061041b59a3acc10" 2 
+"E:\tp_info6_zhan\bsp\can.c" "032b447e85684d10" 2 
+"E:\tp_info6_zhan\bsp\clavier.c" "032b447e85684d10" 2 
+"E:\tp_info6_zhan\bsp\dma0.c" "032b447e85684d10" 2 
+"E:\tp_info6_zhan\bsp\lcd.c" "032b447e85684d10" 2 
+"E:\tp_info6_zhan\bsp\mli.c" "032b447e85684d10" 2 
+"E:\tp_info6_zhan\bsp\periph.c" "032b447e85684d10" 2 
+"E:\tp_info6_zhan\bsp\radiocommande.c" "032b447e85684d10" 2 
+"E:\tp_info6_zhan\bsp\uart0.c" "032b447e85684d10" 2 
 [OPTIONS_Debug_M32C_FoUSB_UART_Renesas M32C Configurator]
 "Single Shot" "061cd8963acbbc10" 1 
 [OPTIONS_Debug_M32C_FoUSB_UART_Renesas M32C Librarian]
@@ -226,18 +226,18 @@
 [GENERAL_DATA_CONFIGURATION_Debug_M32C_FoUSB_UART]
 [OPTIONS_Debug_M32C_Simulator_Renesas M32C Assembler]
 "Assembly source file" "061cd8963acbbc10" 3 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\Emb_App\crt0mr.a30" "061cd8963acbbc10" 3 
+"E:\tp_info6_zhan\Emb_App\crt0mr.a30" "061cd8963acbbc10" 3 
 [OPTIONS_Debug_M32C_Simulator_Renesas M32C C Compiler]
 "C source file" "061cd8963acbbc10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\Emb_App\programme_principal_etud.c" "061041b59a3acc10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\can.c" "032b447e85684d10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\clavier.c" "032b447e85684d10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\dma0.c" "032b447e85684d10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\lcd.c" "032b447e85684d10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\mli.c" "032b447e85684d10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\periph.c" "032b447e85684d10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\radiocommande.c" "032b447e85684d10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\uart0.c" "032b447e85684d10" 2 
+"E:\tp_info6_zhan\Emb_App\programme_principal_etud.c" "061041b59a3acc10" 2 
+"E:\tp_info6_zhan\bsp\can.c" "032b447e85684d10" 2 
+"E:\tp_info6_zhan\bsp\clavier.c" "032b447e85684d10" 2 
+"E:\tp_info6_zhan\bsp\dma0.c" "032b447e85684d10" 2 
+"E:\tp_info6_zhan\bsp\lcd.c" "032b447e85684d10" 2 
+"E:\tp_info6_zhan\bsp\mli.c" "032b447e85684d10" 2 
+"E:\tp_info6_zhan\bsp\periph.c" "032b447e85684d10" 2 
+"E:\tp_info6_zhan\bsp\radiocommande.c" "032b447e85684d10" 2 
+"E:\tp_info6_zhan\bsp\uart0.c" "032b447e85684d10" 2 
 [OPTIONS_Debug_M32C_Simulator_Renesas M32C Configurator]
 "Single Shot" "061cd8963acbbc10" 1 
 [OPTIONS_Debug_M32C_Simulator_Renesas M32C Librarian]
@@ -265,18 +265,18 @@
 [GENERAL_DATA_CONFIGURATION_Debug_M32C_Simulator]
 [OPTIONS_Release_Renesas M32C Assembler]
 "Assembly source file" "061cd8963acbbc10" 3 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\Emb_App\crt0mr.a30" "061cd8963acbbc10" 3 
+"E:\tp_info6_zhan\Emb_App\crt0mr.a30" "061cd8963acbbc10" 3 
 [OPTIONS_Release_Renesas M32C C Compiler]
 "C source file" "061cd8963acbbc10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\Emb_App\programme_principal_etud.c" "061041b59a3acc10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\can.c" "032b447e85684d10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\clavier.c" "032b447e85684d10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\dma0.c" "032b447e85684d10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\lcd.c" "032b447e85684d10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\mli.c" "032b447e85684d10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\periph.c" "032b447e85684d10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\radiocommande.c" "032b447e85684d10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\uart0.c" "032b447e85684d10" 2 
+"E:\tp_info6_zhan\Emb_App\programme_principal_etud.c" "061041b59a3acc10" 2 
+"E:\tp_info6_zhan\bsp\can.c" "032b447e85684d10" 2 
+"E:\tp_info6_zhan\bsp\clavier.c" "032b447e85684d10" 2 
+"E:\tp_info6_zhan\bsp\dma0.c" "032b447e85684d10" 2 
+"E:\tp_info6_zhan\bsp\lcd.c" "032b447e85684d10" 2 
+"E:\tp_info6_zhan\bsp\mli.c" "032b447e85684d10" 2 
+"E:\tp_info6_zhan\bsp\periph.c" "032b447e85684d10" 2 
+"E:\tp_info6_zhan\bsp\radiocommande.c" "032b447e85684d10" 2 
+"E:\tp_info6_zhan\bsp\uart0.c" "032b447e85684d10" 2 
 [OPTIONS_Release_Renesas M32C Configurator]
 "Single Shot" "061cd8963acbbc10" 1 
 [OPTIONS_Release_Renesas M32C Librarian]
Index: branch/zhang/Emb_App.hws
===================================================================
--- branch/zhang/Emb_App.hws	(revision 157)
+++ branch/zhang/Emb_App.hws	(revision 158)
@@ -3,12 +3,12 @@
 [DATABASE_VERSION]
 "11.0" 
 [WORKSPACE_DETAILS]
-"Emb_App" "E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6" "E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\Emb_App.hws" "M16C/80,M32C" "Renesas M32C Standard" 
+"Emb_App" "E:\tp_info6_zhan" "E:\tp_info6_zhan\Emb_App.hws" "M16C/80,M32C" "Renesas M32C Standard" 
 [SHARED_WORKSPACE_CONTROL_STATUS]
 "" "" "" 
 "" "" "" 
 [PROJECTS]
-"EmbM32C87App" "E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\Emb_App" "E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\Emb_App\EmbM32C87App.hwp" 4 
+"EmbM32C87App" "E:\tp_info6_zhan\Emb_App" "E:\tp_info6_zhan\Emb_App\EmbM32C87App.hwp" 4 
 [INFORMATION]
 "No workspace information available" 
 [SCRAP]
